Bug 139384 - Certain .inputrc settings ignored
Certain .inputrc settings ignored
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 13:21 EST by Kyle Bateman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 07:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Bateman 2004-11-15 13:21:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
In my .inputrc file, I redefine many of the key bindings.  But, C-V
and C-U seem to be getting re-bound back to standard emacs binding
instead of honoring the settings I have in .inputrc.

Fedora 1 worked fine on this .inputrc file.  Fedora 3 exhibits the
problem.

I can reparse the .inputrc file (C-X C-R) and my custom settings will
be temporarily honored for command line editing.  But as soon as I hit
Enter, these two keys (at least) get changed back to standard emacs
and bash forgets my settings from .inputrc.


Version-Release number of selected component (if applicable):
bash-3.0-18

How reproducible:
Always

Steps to Reproduce:
1. Create ~/.inputrc file containing:
"\C-v": forward-word
"\C-u": beginning-of-line

2.export INPUTRC=

3.bash

4.try editing on the command line.  Does C-U erase to beginning of
line (emacs)?  Or does it just move to the beginning of line (.inputrc
setting)?

5. Re-parse .inputrc (C-X C-R).  Test line editing again.

6. Hit Enter.  Test line editing again.

    

Actual Results:  The custom settings are not recognized until I
re-parse .inputrc.  Then they are retained only until I hit Enter. 
Then they are lost again.


Expected Results:  .inputrc settings should be persistent in the session.


Additional info:

I haven't been able to figure out a workaround.
Comment 1 Tim Waugh 2004-11-16 07:14:20 EST
The terminal settings are re-applied to the key bindings
(intentionally) each time readline is invoked, and you probably have
^U set as the KILL character.  Use 'stty kill [key]' to reassign that.

In other words, the terminal settings get priority over the readline
keybindings.

Note You need to log in before you can comment on or make changes to this bug.